create
    table
        if not exists public.restaurante(
            id int8 not null generated by default as identity,
            cnpj varchar(255) null,
            dataatualizacao date null,
            datacriacao date null,
            nome varchar(255) null,
            proprietario varchar(255) null,
            localizacao_id int8 null,
            constraint restaurante_pkey primary key(id)
        );

alter table
    public.restaurante add constraint fkdfbggt9ievc4ev74wl3tdnscl foreign key(localizacao_id) references localizacao(id);
